GuideLab API

Update inventory settings

Creates or updates the inventory module settings for the current organization. Performs an upsert - creates the settings row if it does not exist yet.

PUT
/inventory/settings

Creates or updates the inventory module settings for the current organization. Performs an upsert - creates the settings row if it does not exist yet.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/inventory/settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "organizationId": "string",    "lowStockAlertEnabled": true,    "expirationAlertDays": 0,    "autoDeductOnOrderComplete": true,    "createdAt": "string",    "updatedAt": "string",    "property1": null,    "property2": null  }}
Empty
Empty